SM4::Dec Class Reference

Decryption transformation. More...

Inheritance diagram for SM4::Dec:

## Additional Inherited Members

Public Member Functions inherited from BlockCipherImpl< SM4_Info >
unsigned int | BlockSize () const
| Provides the block size of the algorithm. More...
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name. More...
Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

Decryption transformation.

Dec provides implementation for decryption transformation. All key sizes are supported.

SM4 encryption is accelerated on machines with AES-NI. Decryption is not acclerated because it is not profitable. Thanks to Markku-Juhani Olavi Saarinen.

Since
  Crypto++ 6.0

Definition at line 84 of file sm4.h.

The documentation for this class was generated from the following files:

- sm4.h
- sm4.cpp